«Cannot run upgrade script on host» при обновлении esxi 5.1 до 6.0

Обновление ESXi 5.1 до ESXi 6.0 останавливается со следующей ошибкой: „Cannot execute upgrade script on host“.

cannont

Одна из причин, это старый агент vcenter.

При этом в логах /var/log/vua.log можно наблюдать следующее:

2015-08-17T12:29:16.999Z error vua[FFF940D0] [Originator@6876 sub=Default] Alert:WARNING: This application is not using QuickExit(). The exit code will be set to 0.@ bora/vim/lib/vmacore/main/service.cpp:162
–> Backtrace:
–>
–> [backtrace begin] product: VMware vSphere Update Manager Agent, version: 6.0.0, build: build-2621470, tag: vua
–> backtrace[00] libvmacore.so[0x0033D8E3]: Vmacore::System::Stacktrace::CaptureFullWork(unsigned int)

Решение:

  • Отключаем HA кластера
  • Выводим хост из кластера
  • Лечим хост командами:

cp /opt/vmware/uninstallers/VMware-fdm-uninstall.sh /tmp
chmod +x /tmp/VMware-fdm-uninstall.sh
/tmp/VMware-fdm-uninstall.sh
  • Потом перезапускаем хост
  • Вводим в кластер
  • Производим Upgrade через Update Manager
  • Включаем HA

Вторая причина которую я так же нашел:

KB 2007163 „Upgrading a VMware ESXi host fails with the error: Cannot run upgrade script on host“

Спасибо источнику:

“Cannot run upgrade script on host” during upgrade from esxi 5.5 to 6.0

Очень поможешь если поделишься с друзьями:)
  • Добавить ВКонтакте заметку об этой странице
  • Facebook
  • Twitter
  • Одноклассники
  • Блог Я.ру
  • LiveJournal
  • FriendFeed
  • Blogger
  • Мой Мир
  • БобрДобр
  • Google Buzz
  • LinkedIn
  • del.icio.us
  • Сто закладок
  • MSN Reporter
  • Блог Li.ру

Оставить комментарий


Примечание - Вы можете использовать эти HTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> <pre class="">